Bug 118883 - Romanian keyboard layout is broken in xorg-x11
Romanian keyboard layout is broken in xorg-x11
Status: CLOSED UPSTREAM
Product: Red Hat Raw Hide
Classification: Retired
Component: xorg-x11 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-22 06:04 EST by Alin Osan
Modified: 2007-04-18 13:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 05:32:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alin Osan 2004-03-22 06:04:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
After upgrading to xorg-x11, the Romanian keyboard layout is totally
messed up. The previous layout activated the combination of AltGr with
A, S, T and Q to use specific Romanian characters. With xorg-x11 the
layout is the same used with Windows OS, which is broken for two major
reasons: it completly changes the position of some keys, which are not
related to Romanian characters, in a weird manner. Second, there are
NO Romanian layout keyboards, this means that all Romanians use
english layout keyboard. Linux users change to the Romanian layout
that adds the AltGr functionality. The Windows users do something very
funny, they stick small pieces of papers on the keyboard in order to
recognize the placement of the remapped layout by MS Windows. 
All Windows users that have been converted to Linux were so happy with
the function of AltGr key. They can write in romanian in a more
natural fashion and they don't have to "remap" the characters on the keys.

Version-Release number of selected component (if applicable):
xorg-x11-0.0.6.6-0.0.2004_03_11.5

How reproducible:
Always

Steps to Reproduce:
1. use Romanian keyboard layout
2. "try" to write something in a console
3. use English keyboard layout and the AltGr is gone
    

Actual Results:  Well, / got replaced with -, y with z, ' with ], -
with + etc

Expected Results:  The previous layout was SO much better. Please
switch to the previous layout, it's so frustating to get this Windows
feeling while you work with Linux. In the previous layout, all
characters were in the right place, as shown on the keys, AltGr + A,
S, T, Q gives the Romanian specific characters without remapping other
characters like: - = [ ] ; ' / \ ` etc

Additional info:
Comment 1 Mike A. Harris 2004-03-23 20:26:58 EST
Please report this request to X.org in their upstream bug tracker at:
http://bugs.freedesktop.org in the "xorg" product.  If you paste the
URL to the upstream bug report here, I will then track the request
in the upstream bug tracker, and follow the official upstream
resolution.

Thanks in advance.
Comment 2 Alin Osan 2004-03-24 02:14:41 EST
I've done that.
Thank you.
Comment 3 Mike A. Harris 2004-09-21 05:32:38 EDT
Ok, thanks.  Please paste the X.Org bug URL here if you would like
us to track the issue and review any fixes that become available
for consideration in future updates.

Setting status to "UPSTREAM", and awaiting bug URL for tracking.
Comment 4 Misu Moldovan 2005-08-03 02:48:40 EDT
The X.Org URL is https://bugs.freedesktop.org/show_bug.cgi?id=371 

Note You need to log in before you can comment on or make changes to this bug.